package com.ym.mec.vo;

import com.alibaba.fastjson.JSON;
import com.microsvc.toolkit.common.response.paging.QueryInfo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 曲谱伴奏表
 * 2022-12-07 10:16:58
 */
@ApiModel(value = "MusicSheetAccompanimentVo对象", description = "曲谱伴奏表查询视图对象")
public class MusicSheetAccompanimentVo {

    @Data
    @ApiModel(" MusicSheetAccompanimentQuery-曲谱伴奏表")
    public static class MusicSheetAccompanimentQuery implements QueryInfo {

        @ApiModelProperty("当前页")
        private Integer page;

        @ApiModelProperty("分页行数")
        private Integer rows;

        public String jsonString() {
            return JSON.toJSONString(this);
        }

        public static MusicSheetAccompanimentQuery from(String json) {
            return JSON.parseObject(json, MusicSheetAccompanimentQuery.class);
        }
    }

    @Data
    @ApiModel(" MusicSheetAccompaniment-曲谱伴奏表")
    public static class MusicSheetAccompaniment {


		@ApiModelProperty("主键")
        private Long id;


		@ApiModelProperty("曲谱ID")
        private Long musicId;


		@ApiModelProperty("声部")
        private String musicSubject;


		@ApiModelProperty("MP3原声音频文件URL")
        private String audioFileUrl;


		@ApiModelProperty("map节拍器伴奏")
        private String metronomeUrl;


		@ApiModelProperty("伴奏轨迹")
        private String track;


		@ApiModelProperty("排序号")
        private Boolean sortNumber;


		@ApiModelProperty("速度")
        private String speed;

        @ApiModelProperty("曲目缓存")
        private String musicSvg;

		@ApiModelProperty("创建人(老师或者是后台平台用户)")
        private Long createBy;


		@ApiModelProperty("创建时间")
        private Date createTime;


        @ApiModelProperty("五线谱PDF文件")
        private String musicPdfUrl;


        @ApiModelProperty("首调PDF文件")
        private String firstPdfUrl;


        @ApiModelProperty("固定调PDF文件")
        private String jianPdfUrl;


        @ApiModelProperty("音频类型，SING：演唱，PLAY：演奏")
        private String audioPlayType;
        public String jsonString() {
            return JSON.toJSONString(this);
        }

        public static MusicSheetAccompaniment from(String json) {
            return JSON.parseObject(json, MusicSheetAccompaniment.class);
        }
    }

}
