package com.ym.mec.web.controller;


import com.ym.mec.common.page.PageInfo;
import com.ym.mec.common.page.PageUtil;
import com.microsvc.toolkit.common.response.paging.QueryInfo;

import com.alibaba.fastjson.JSONObject;
import com.ym.mec.common.controller.BaseController;
import com.ym.mec.common.entity.HttpResponseResult;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import com.baomidou.mybatisplus.core.metadata.IPage;

import com.ym.mec.biz.service.StudentMemberUpdateLogService;
import com.ym.mec.biz.dal.wrapper.StudentMemberUpdateLogWrapper;
import com.ym.mec.biz.dal.entity.StudentMemberUpdateLog;

@Slf4j
@Validated
@RestController
@RequestMapping("${app-config.url.web:}/studentMemberUpdateLog")
@Api(tags = "学员云教练时长修改记录")
public class StudentMemberUpdateLogController extends BaseController {

    @Autowired
    private StudentMemberUpdateLogService studentMemberUpdateLogService;

    @ApiOperation(value = "查询分页", notes = "学员云教练时长修改记录- 传入 StudentMemberUpdateLogWrapper.StudentMemberUpdateLogQuery") 
    @PostMapping("/page")
    public HttpResponseResult<PageInfo<StudentMemberUpdateLogWrapper.StudentMemberUpdateLog>> page(@RequestBody StudentMemberUpdateLogWrapper.StudentMemberUpdateLogQuery query) {
        
        IPage<StudentMemberUpdateLogWrapper.StudentMemberUpdateLog> pages = studentMemberUpdateLogService.selectPage(QueryInfo.getPage(query), query);
        
        return succeed(PageUtil.pageInfo(pages));
	}

}