package com.ym.mec.biz.dal.dto;

import com.ym.mec.biz.dal.entity.CloudTeacherOrder;
import com.ym.mec.biz.dal.entity.SubjectChange;
import com.ym.mec.biz.dal.enums.PaymentFlagEnum;
import com.ym.mec.biz.dal.enums.PaymentStatusEnum;
import com.ym.mec.biz.dal.wrapper.CloudTeacherOrderWrapper;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;
import java.util.List;

@Data
public class MusicGroupStudentsDto{

    @ApiModelProperty(value = "学生乐团注册编号",required = false)
    private Integer studentRegistrationId;

    @ApiModelProperty(value = "学生编号",required = false)
    private Integer userId;

    @ApiModelProperty(value = "姓名",required = false)
    private String realName;

    @ApiModelProperty(value = "性别",required = false)
    private String gender;

    @ApiModelProperty(value = "手机号",required = false)
    private String phone;

    @ApiModelProperty(value = "年级年份",required = false)
    private Date currentGradeDate;

    @ApiModelProperty(value = "年级",required = false)
    private String currentGrade;

    @ApiModelProperty(value = "班级",required = false)
    private String currentClass;

    @ApiModelProperty(value = "实际专业id",required = false)
    private Integer subjectId;

    @ApiModelProperty(value = "实际专业",required = false)
    private String subjectName;

    @ApiModelProperty(value = "报名专业id",required = false)
    private Integer regSubjectId;

    @ApiModelProperty(value = "报名专业",required = false)
    private String regSubjectName;

    @ApiModelProperty(value = "下次缴费日期",required = false)
    private Date nextPaymentDate;

    @ApiModelProperty(value = "课程费用",required = false)
    private BigDecimal courseFee;

    @ApiModelProperty(value = "乐团编号",required = false)
    private String musicGroupId;

    @ApiModelProperty(value = "学员状态 NORMAL(NORMAL, 在读), LEAVE(LEAVE, 请假), QUIT(QUIT, 退班)",required = false)
    private String studentStatus;

    @ApiModelProperty(value = "退团原因",required = false)
    private String quitReason;

    private PaymentStatusEnum paymentStatus;

    @ApiModelProperty(value = "是否新增学员（1是0否）",required = false)
    private Integer isNewStudent;

    @ApiModelProperty(value = "入团时间",required = false)
    private Date registerTime;

    private Boolean isActive = false;

    private Boolean hasCourse;

    private Integer isLock;

    private String paymentPeriodList;

    private String activeName;

    private String isNewStudentStr;

    private String nextPaymentDateStr;

    @ApiModelProperty(value = "剩余可排课时长",required = false)
    private BigDecimal subTotalCourseTime;

    @ApiModelProperty(value = "欠费金额",required = false)
    private BigDecimal noPaymentAmount = BigDecimal.ZERO;

    @ApiModelProperty(value = "关心包：0：默认不可用；1：可用；2：已使用;")
    private Integer carePackage;
    private String carePackageStr;

    @ApiModelProperty(value = "加油包：0：默认不可用；1：可用；2：已使用;")
    private Integer comeOnPackage;
    private String comeOnPackageStr;

    @ApiModelProperty(value = "是否有乐保",required = false)
    private Boolean hasMaintenance = false;

    @ApiModelProperty(value = "云教练金额",required = false)
    private BigDecimal cloudTeacherAmount = BigDecimal.ZERO;

    public Integer getStudentRegistrationId() {
        return studentRegistrationId;
    }

    public void setStudentRegistrationId(Integer studentRegistrationId) {
        this.studentRegistrationId = studentRegistrationId;
    }

    @ApiModelProperty(value = "备注信息",required = false)
    private String remark;


    @ApiModelProperty(value = "声部更换详情",required = false)
    private SubjectChange subjectChange;

    @ApiModelProperty(value = "会员截止时间",required = false)
    private Date membershipEndTime;

    @ApiModelProperty(value = "乐团会员时间，下次续费时间",required = false)
    private Date musicMembershipEndTime;

    @ApiModelProperty(value = "试用会员截止时间",required = false)
    private Date experienceMembershipEndTime;

    private Integer experienceMembershipDay;
    private Integer membershipDay;
    private Integer musicMembershipDay;
    private Integer musicMembershipDay1;
    //是否有未生效的云教练订单
    private Boolean hasNoStartCloudTeacher = false;

    private Integer memberRankSettingId;

    @ApiModelProperty(value = "学员生效中的云教练",required = false)
    private List<CloudTeacherOrderWrapper.StudentMemberDetail> cloudTeacherOrderList;
}
