package com.ym.mec.biz.dal.entity;

import com.ym.mec.biz.dal.dto.LessonExaminationSaveDto;
import com.ym.mec.biz.dal.dto.MusicScoreSubjectDto;
import com.ym.mec.biz.dal.dto.StudentLessonTrainingDetailWrapper;
import com.ym.mec.biz.dal.enums.GroupType;
import com.ym.mec.common.entity.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;

import java.util.Date;
import java.util.List;

/**
 * 对应数据库表(course_homework):
 */
@Data
public class CourseHomework extends BaseEntity {

	/**  */
	private Long id;
	
	private GroupType groupType;
	
	/**  */
	private Long courseScheduleId;
	
	/** 图片地址（多个用逗号分隔） */
	private String attachments;
	
	/** 作业内容 */
	private String content;

    private Boolean pushFlag;

	/** 作业内容 */
	private String title;

	private String memo;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	@ApiModelProperty(value = "截至日期",required = false)
	private Date expiryDate;
	
	/**  */
	private String musicGroupId;

    private String versionTag;
	
	private MusicGroup musicGroup = new MusicGroup();
	
	/**  */
	private Integer classGroupId;
	
	private ClassGroup classGroup = new ClassGroup();

	@ApiModelProperty(value = "作业完成人数",required = false)
	private Integer completedNum;

	@ApiModelProperty(value = "预计完成人数",required = false)
	private Integer expectNum;

	@ApiModelProperty(value = "伴奏编号",required = false)
	private String musicScoreId;

	private List<MusicScoreSubjectDto> musicScoreSubjectDto;

    @ApiModelProperty("新版作业 time:2023-03-31")
    private List<StudentLessonTrainingDetailWrapper.AddStudentLessonTrainingDetail> studentLessonTrainingDetails;

	@ApiModelProperty(value = "课后评测信息")
	private LessonExaminationSaveDto lessonExaminationSaveDto;

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
