package com.ym.mec.biz.dal.entity;

import com.ym.mec.auth.api.entity.SysUser;
import com.ym.mec.biz.dal.dto.MusicScoreSubjectDto;
import com.ym.mec.biz.dal.dto.StudentLessonTrainingDetailWrapper;
import com.ym.mec.biz.dal.enums.ELessonTrainingType;
import com.ym.mec.biz.dal.enums.GroupType;
import com.ym.mec.biz.dal.enums.ImSendTypeEnum;
import com.ym.mec.common.entity.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;

import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

/**
 * 对应数据库表(extracurricular_exercises):
 */
@Data
public class ExtracurricularExercises extends BaseEntity {

	/**  */
	private Long id;
	
	private String musicGroupId;
	
	/** 老师编号 */
	@ApiModelProperty(value="等级")
	private Integer teacherId;
	
	private SysUser teacher = new SysUser();
	
	/** 学生列表 */
	@ApiModelProperty(value="学生列表")
	private String studentIdList;

    @ApiModelProperty("班级id")
    private Integer classGroupId;

    @ApiModelProperty("作业来源分类")
    private String groupType;
	
	/** 批次号 */
	@ApiModelProperty(value="批次号")
	private String batchNo;

    private String versionTag;
	
	/** 标题 */
	@ApiModelProperty(value="标题")
	private String title;

	@ApiModelProperty(value = "训练说明",required = false)
	private String memo;
	
	/** 附件地址（多个用逗号分隔） */
	@ApiModelProperty(value="附件地址（多个用逗号分隔）")
	private String attachments;
	
	/** 作业内容 */
	@ApiModelProperty(value="作业内容")
	private String content;
	
	/** 截止日期 */
	@ApiModelProperty(value="截止日期")
	private java.util.Date expireDate;
	
	/** 完成人数 */
	@ApiModelProperty(value="完成人数")
	private Integer completedNum;
	
	/** 预计人数 */
	@ApiModelProperty(value="预计人数")
	private Integer expectNum;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;

	@ApiModelProperty(value="是否及时回复")
	private int isReplied;

	@ApiModelProperty(value="是否提交")
	private int isSubmit;

    private Boolean pushFlag;

	private int status;
	
	private String organName;

	private ImSendTypeEnum msgType = ImSendTypeEnum.TXT;

	/** 伴奏列表（多个用逗号分隔） */
	@ApiModelProperty(value="伴奏列表（多个用逗号分隔）")
	private String musicScoreId;

	private String musicScoreName;

	private List<MusicScoreSubjectDto> musicScoreSubjectDtos;

    @ApiModelProperty(value = "作业类型 来源（HOMEWORK,EXTRACURRICULAR,EXTRA）",required = true)
    private String type;

    @ApiModelProperty("乐团名")
    private String musicGroupName;

    @ApiModelProperty("班级名")
    private String classGroupName;


    @ApiModelProperty("布置时间")
    private java.util.Date assignTime;

    @ApiModelProperty("新版作业 time:2023-03-31")
    private List<StudentLessonTrainingDetailWrapper.AddStudentLessonTrainingDetail> studentLessonTrainingDetails;

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
