package com.ym.mec.biz.dal.page;

import com.ym.mec.biz.dal.enums.ClassGroupStudentStatusEnum;
import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class StudentManageQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "部门ID")
    private String organId;

    @ApiModelProperty(value = "学员编号")
    private List<Integer> userIds;

    @ApiModelProperty(value = "乐团ID")
    private String musicGroupId;

    @ApiModelProperty(value = "学生姓名")
    private String studentName;

    @ApiModelProperty(value = "状态（在读、请假、退学）",required = false)
    private ClassGroupStudentStatusEnum studentStatus;
    
    private Boolean isActive;

    private Boolean isExport = false;

    private Integer serviceTag;

    private Integer operatingTag;
    
    private Integer teacherId;

    private Integer teacherIdForOrgan;

    private Integer isNewUser;

    private Integer carePackage;

    private Integer comeOnPackage;

    //是否有会员
    private Integer hasMember;

    //是否使用过云教练
    private Integer isRecord;

    //学练宝版本
    private Integer memberRankId;

    private Boolean repairFlag;
}
